package com.divinegaming.nmcfactory;

package ..deTemp.1741507240593;

import com.divinegaming.nmcfactory.setup.ClientSetup;
import com.divinegaming.nmcfactory.setup.CommonSetup;
import com.divinegaming.nmcfactory.setup.init.ModBlockEntityTypes;
import com.divinegaming.nmcfactory.setup.init.ModBlocks;
import com.divinegaming.nmcfactory.setup.init.ModItems;
import com.divinegaming.nmcfactory.setup.init.ModMenuTypes;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraftforge.api.distmarker.Dist;
import net.minecraftforge.common.MinecraftForge;
import net.minecraftforge.eventbus.api.IEventBus;
import net.minecraftforge.fml.DistExecutor;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.fml.javafmlmod.FMLJavaModLoadingContext;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

@Mod("nmcfactory")
public class NMCFactory {
  public static final String MOD_ID = "nmcfactory";
  
  public static final Logger LOGGER = LogManager.getLogger();
  
  public static final CreativeModeTab FACTORY_TAB = (CreativeModeTab)new Object("nmcfactory");
  
  public NMCFactory() {
    IEventBus modEventBus = FMLJavaModLoadingContext.get().getModEventBus();
    IEventBus forgeEventBus = MinecraftForge.EVENT_BUS;
    ModItems.ITEMS.register(modEventBus);
    ModBlocks.BLOCKS.register(modEventBus);
    ModBlockEntityTypes.BLOCK_ENTITY_TYPES.register(modEventBus);
    ModMenuTypes.MENU_TYPES.register(modEventBus);
    CommonSetup.init(modEventBus, forgeEventBus);
    DistExecutor.unsafeRunWhenOn(Dist.CLIENT, () -> ());
  }
  
  public static ResourceLocation resource(String path) {
    return new ResourceLocation("nmcfactory", path);
  }
}
